Skip to main content
`Ctrl`+`K`

# PCPythonGetType

Get the type of a `PC` object implemented in Python, a `PCPYTHON`.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCPythonGetType(PC pc, const char *pyname[])

Not Collective

## Input Parameter

- pc - the preconditioner (`PC`) context.

## Output Parameter

- pyname - full dotted Python name [package].module[.{class|function}]

## See Also

KSP: Linear System Solvers, `PC`, `PCSHELL`, `PCCreate()`, `PCSetType()`, `PCPYTHON`, `PetscPythonInitialize()`, `PCPythonSetType()`

## Level

intermediate

## Location

src/ksp/pc/impls/python/pythonpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages